Page MenuHomePhabricator

Community Relations support for the Newcomers homepage project
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 4:48 PM
JTannerWMF moved this task from Q2 2019-20 to Q1 2019-20 on the Growth-Team board.Jun 17 2019, 6:52 PM
Trizek-WMF closed this task as Resolved.Jul 10 2019, 7:27 PM
Trizek-WMF added a subscriber: MMiller_WMF.

Per discussion with @MMiller_WMF.

(Moving back to the previous board, because the task was achieved during the last quarter.)